सामग्री पर जाएँ

Ideogram Object Removal

इंटीग्रेट करें

मॉडल id ideogram/object-removal
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/object-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.03 30 API क्रेडिट · ≈ ₽3.20 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Ideogram इमेज एडिटिंग #utility#editing

ब्लैक-एंड-व्हाइट मास्क का उपयोग करके इमेज से बिना प्रॉम्प्ट ऑब्जेक्ट हटाता है, जिसमें परछाइयाँ और प्रतिबिंब भी शामिल हैं

Ideogram · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

हटाए जाने वाले ऑब्जेक्ट वाली स्रोत इमेज; फ़ाइल का आकार 10 MB से अधिक नहीं होना चाहिए।

•आवश्यक mask_url
फ़ाइल ड्रॉप करें, या

हटाने का मास्क, जिसमें हटाए जाने वाले पिक्सेल के लिए सफ़ेद और बनाए रखे जाने वाले पिक्सेल के लिए काला रंग हो। 10 MB से बड़ी न हो ऐसी श्वेत-श्याम इमेज दें, जिसके आयाम स्रोत के समान हों।

POST /run/ideogram/object-removal?wait=20 कोटेशन → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/object-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Ideogram Object Removal के बारे में

किसी टेक्स्ट प्रॉम्प्ट के बिना फ़ोटो से ऑब्जेक्ट हटाता है। स्रोत इमेज (`image_url`) और उसके समान आयामों वाला मास्क (`mask_url`) दें: सफ़ेद पिक्सेल मिटाए जाते हैं और काले पिक्सेल रखे जाते हैं। जहाँ ऑब्जेक्ट था वहाँ सीन दोबारा बनाया जाता है और उसकी परछाइयाँ व प्रतिबिंब भी हटा दिए जाते हैं। प्रत्येक फ़ाइल अधिकतम 10MB की हो सकती है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
हटाए जाने वाले ऑब्जेक्ट वाली स्रोत इमेज; फ़ाइल का आकार 10 MB से अधिक नहीं होना चाहिए।
mask_urlआवश्यक mask
प्रकारurl · image
हटाने का मास्क, जिसमें हटाए जाने वाले पिक्सेल के लिए सफ़ेद और बनाए रखे जाने वाले पिक्सेल के लिए काला रंग हो। 10 MB से बड़ी न हो ऐसी श्वेत-श्याम इमेज दें, जिसके आयाम स्रोत के समान हों।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/object-removal",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size}मास्क किए गए ऑब्जेक्ट को हटाने के बाद की आउटपुट इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/ideogram/object-removal.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt